<section class="register">
    <h1>Register Trainer</h1>
    <input type="text" class="form"
        placeholder="Enter trainer name" #nameBox
        (keyup.enter)="onRegisterClick(nameBox.value)">
    <button type="submit" class="form" (click)="onRegisterClick(nameBox.value)" >Register</button>
</section>